Bug 180162 - lyx build fails (gcc-4.1)
lyx build fails (gcc-4.1)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE5Target
  Show dependency treegraph
 
Reported: 2006-02-06 09:50 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-03 15:05:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-02-06 09:50:42 EST
Another failure, now with pre4 (this one seems not so trivial):

/bin/sh ../../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I.
-I../../src   -I./.. -I../../boost   -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=nocona -c
-o render_graphic.lo render_graphic.C
 g++ -DHAVE_CONFIG_H -I. -I. -I../../src -I./.. -I../../boost -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=nocona -c render_graphic.C -o render_graphic.o
In file included from ../../boost/boost/config.hpp:35,
                 from ../../boost/boost/bind.hpp:23,
                 from ../../src/support/translator.h:16,
                 from ../../src/graphics/GraphicsTypes.h:18,
                 from ../../src/graphics/GraphicsLoader.h:27,
                 from render_graphic.h:17,
                 from render_graphic.C:13:
...
../../boost/boost/bind.hpp: In function 'void boost::visit_each(V&, const
boost::_bi::value<T>&, int) [with V =
boost::signals::detail::bound_objects_visitor, T = const InsetBase*]':
../../boost/boost/bind.hpp:296:   instantiated from 'void boost::_bi::list2<A1,
A2>::accept(V&) const [with V = boost::signals::detail::bound_objects_visitor,
A1 = boost::reference_wrapper<const LyX>, A2 = boost::_bi::value<const InsetBase*>]'
../../boost/boost/bind/bind_template.hpp:150:   instantiated from 'void
boost::_bi::bind_t<R, F, L>::accept(V&) const [with V =
boost::signals::detail::bound_objects_visitor, R = const Buffer* const, F =
boost::_mfi::cmf1<const Buffer* const, LyX, const InsetBase*>, L =
boost::_bi::list2<boost::reference_wrapper<const LyX>, boost::_bi::value<const
InsetBase*> >]'
../../boost/boost/bind.hpp:1110:   instantiated from 'void boost::visit_each(V&,
const boost::_bi::bind_t<R, F, L>&, int) [with V =
boost::signals::detail::bound_objects_visitor, R = const Buffer* const, F =
boost::_mfi::cmf1<const Buffer* const, LyX, const InsetBase*>, L =
boost::_bi::list2<boost::reference_wrapper<const LyX>, boost::_bi::value<const
InsetBase*> >]'
../../boost/boost/visit_each.hpp:25:   instantiated from 'void
boost::visit_each(Visitor&, const T&) [with Visitor =
boost::signals::detail::bound_objects_visitor, T = boost::_bi::bind_t<const
Buffer* const, boost::_mfi::cmf1<const Buffer* const, LyX, const InsetBase*>,
boost::_bi::list2<boost::reference_wrapper<const LyX>, boost::_bi::value<const
InsetBase*> > >]'
../../boost/boost/signals/slot.hpp:121:   instantiated from
'boost::slot<SlotFunction>::slot(const F&) [with F = boost::_bi::bind_t<const
Buffer* const, boost::_mfi::cmf1<const Buffer* const, LyX, const InsetBase*>,
boost::_bi::list2<boost::reference_wrapper<const LyX>, boost::_bi::value<const
InsetBase*> > >, SlotFunction = boost::function<void ()(), std::allocator<void> >]'
render_graphic.C:44:   instantiated from here
../../boost/boost/bind.hpp:1105: error: no matching function for call to
'visit_each(boost::signals::detail::bound_objects_visitor&, const InsetBase*
const&, int)'
make[4]: *** [render_graphic.lo] Error 1

details:
http://buildsys.fedoraproject.org/logs/fedora-development-extras/3494-lyx-1.4.0-0.4.pre4.fc5/
Comment 1 Rex Dieter 2006-02-06 09:51:29 EST
Upstream tracker:
http://bugzilla.lyx.org/show_bug.cgi?id=2278
Comment 2 Rex Dieter 2006-02-13 11:46:11 EST
Ditto, lyx-1.4.0pre5:
http://buildsys.fedoraproject.org/logs/fedora-development-extras/4108-lyx-1.4.0-0.5.pre5.fc5/

It apparently boils down to a boost error:
render_graphic.C:44:   instantiated from here
../../boost/boost/bind.hpp:1105: error: no matching function for call to
'visit_each(boost::signals::detail::bound_objects_visitor&, const InsetBase*
const&, int)'
Comment 3 Rex Dieter 2006-03-03 15:05:14 EST
Yay!

 5805 (lyx): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/5805-lyx-1.4.0-0.11.pre6.fc5/

Note You need to log in before you can comment on or make changes to this bug.